cwlVersion: v1.2
class: Workflow
label: bwa_index

inputs:
  input: {type: File}
  algoType: {type: 'string?'}

outputs:
  output: {type: File, secondaryFiles: ['.amb', '.ann', '.bwt', '.fai', '.pac', '.sa'], outputSource: samtools_faidx/output}

steps:
  bwa_index:
    run: ../bwa_index.cwl
    in:
      input: input
      algoType: algoType
    out: [output]

  samtools_faidx:
    run: ../samtools_faidx.cwl
    in:
      input:
        source: bwa_index/output
    out: [output]
